diff -pruN bash-completion-2.15.0.old/completions/dladm bash-completion-2.15.0/completions/dladm
--- bash-completion-2.15.0.old/completions/dladm	2020-01-11 19:58:32.000000000 +0100
+++ bash-completion-2.15.0/completions/dladm	2024-11-30 21:20:52.413275302 +0100
@@ -14,7 +14,7 @@ _dladm()
       COMPREPLY=( $(compgen -W "${cmds}" -- ${cur}) )
     elif [[ ${prev} =~ "-z" ]]; then
       # Some illumos OS distributions have zone-aware dladm. Treat -z as a zone name option
-      local zones="$(zoneadm list -c | grep -v '^global$')"
+      local zones="$(zoneadm list -c | ggrep -v '^global$')"
       COMPREPLY=( $(compgen -W "${zones}" -- ${cur}) )
     elif [[ ${prev} =~ 'delete-vnic' ]]; then
       # Redirect stderr to /dev/null not to polute console, e.g.:
diff -pruN bash-completion-2.15.0.old/completions/dmypy bash-completion-2.15.0/completions/dmypy
--- bash-completion-2.15.0.old/completions/dmypy	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/dmypy	2024-11-30 21:20:52.257526845 +0100
@@ -38,8 +38,8 @@ _comp_cmd_dmypy()
 
     if [[ ! $has_cmd ]]; then
         local cmds=$("$1" --help 2>&1 |
-            command sed -ne '/positional arguments/{p;n;p;q;}' |
-            command sed -ne 's/{\(.*\)}/\1/p')
+            command gsed -ne '/positional arguments/{p;n;p;q;}' |
+            command gsed -ne 's/{\(.*\)}/\1/p')
         _comp_compgen -F , -- -W '$cmds'
         return
     fi
diff -pruN bash-completion-2.15.0.old/completions/dnssec-keygen bash-completion-2.15.0/completions/dnssec-keygen
--- bash-completion-2.15.0.old/completions/dnssec-keygen	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/dnssec-keygen	2024-11-30 21:20:52.417867713 +0100
@@ -3,9 +3,9 @@
 _comp_cmd_dnssec_keygen__optarg()
 {
     local args=$("$1" -h 2>&1 |
-        command sed -e 's/|/ /g' -e 's/(.*//' \
+        command gsed -e 's/|/ /g' -e 's/(.*//' \
             -ne '/^[[:space:]]*'"$2"'/,/^[[:space:]]*[(-]/p' |
-        command sed -e 's/^[[:space:]]*'"$2"'.*://' -e '/^[[:space:]]*-/d')
+        command gsed -e 's/^[[:space:]]*'"$2"'.*://' -e '/^[[:space:]]*-/d')
     _comp_compgen -a -- -W '$args'
 }
 
diff -pruN bash-completion-2.15.0.old/completions/dot bash-completion-2.15.0/completions/dot
--- bash-completion-2.15.0.old/completions/dot	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/dot	2024-11-30 21:20:52.415609922 +0100
@@ -14,14 +14,14 @@ _comp_cmd_dot()
         -T*)
             # generate langs
             _comp_compgen -c "${cur#-T}" split -P "-T" -- "$(
-                "$1" -TNON_EXISTENT 2>&1 | command sed -ne 's/.*one of://p'
+                "$1" -TNON_EXISTENT 2>&1 | command gsed -ne 's/.*one of://p'
             )"
             return
             ;;
         -K*)
             # generate layouts
             _comp_compgen -c "${cur#-K}" split -P "-K" -- "$(
-                "$1" -KNON_EXISTENT 2>&1 | command sed -ne 's/.*one of://p'
+                "$1" -KNON_EXISTENT 2>&1 | command gsed -ne 's/.*one of://p'
             )"
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/ebtables bash-completion-2.15.0/completions/ebtables
--- bash-completion-2.15.0.old/completions/ebtables	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/ebtables	2024-11-30 21:20:51.932538359 +0100
@@ -18,7 +18,7 @@ _comp_cmd_ebtables()
         -${noargopts}[AIDPFXLZ])
             _comp_compgen_split -- "$(
                 "$1" ${table:+-t "$table"} -L 2>/dev/null |
-                    command sed -ne "$chain"
+                    command gsed -ne "$chain"
             )"
             ;;
         -${noargopts}t)
@@ -28,17 +28,17 @@ _comp_cmd_ebtables()
             if [[ $table == "filter" || ! $table ]]; then
                 _comp_compgen -- -W '$targets'
                 _comp_compgen -a split -- "$("$1" ${table:+-t "$table"} -L \
-                    2>/dev/null | command sed -n -e \
+                    2>/dev/null | command gsed -n -e \
                     "s/INPUT\|OUTPUT\|FORWARD//" -e "$chain")"
             elif [[ $table == "nat" ]]; then
                 _comp_compgen -- -W '$targets'
                 _comp_compgen -a split -- "$("$1" -t "$table" -L 2>/dev/null |
-                    command sed -n -e "s/OUTPUT|PREROUTING|POSTROUTING//" \
+                    command gsed -n -e "s/OUTPUT|PREROUTING|POSTROUTING//" \
                         -e "$chain")"
             elif [[ $table == "broute" ]]; then
                 _comp_compgen -- -W 'ACCEPT DROP'
                 _comp_compgen -a split -- "$("$1" -t "$table" -L 2>/dev/null |
-                    command sed -n -e "s/BROUTING//" -e "$chain")"
+                    command gsed -n -e "s/BROUTING//" -e "$chain")"
             fi
             ;;
         *)
diff -pruN bash-completion-2.15.0.old/completions/fbgs bash-completion-2.15.0/completions/fbgs
--- bash-completion-2.15.0.old/completions/fbgs	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/fbgs	2024-11-30 21:20:52.275019558 +0100
@@ -11,7 +11,7 @@ _comp_cmd_fbgs()
             return
             ;;
         -m | --mode)
-            _comp_compgen_split -- "$(command sed \
+            _comp_compgen_split -- "$(command gsed \
                 -n '/^mode/{s/^mode \{1,\}"\([^"]\{1,\}\)"/\1/g;p}' \
                 /etc/fb.modes 2>/dev/null)"
             return
diff -pruN bash-completion-2.15.0.old/completions/fbi bash-completion-2.15.0/completions/fbi
--- bash-completion-2.15.0.old/completions/fbi	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/fbi	2024-11-30 21:20:52.037704169 +0100
@@ -19,7 +19,7 @@ _comp_cmd_fbi()
             return
             ;;
         -m | --mode)
-            _comp_compgen_split -- "$(command sed \
+            _comp_compgen_split -- "$(command gsed \
                 -n '/^mode/{s/^mode \{1,\}"\([^"]\{1,\}\)"/\1/g;p}' \
                 /etc/fb.modes 2>/dev/null)"
             return
diff -pruN bash-completion-2.15.0.old/completions/fio bash-completion-2.15.0/completions/fio
--- bash-completion-2.15.0.old/completions/fio	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/fio	2024-11-30 21:20:51.965468046 +0100
@@ -2,7 +2,7 @@
 
 _comp_cmd_fio__compgen_engines()
 {
-    _comp_compgen_split -F $'\t\n' -- "$("$1" --enghelp 2>/dev/null | command sed -ne '/^[[:space:]]/p')"
+    _comp_compgen_split -F $'\t\n' -- "$("$1" --enghelp 2>/dev/null | command gsed -ne '/^[[:space:]]/p')"
 }
 
 _comp_cmd_fio()
diff -pruN bash-completion-2.15.0.old/completions/fprintd-enroll bash-completion-2.15.0/completions/fprintd-enroll
--- bash-completion-2.15.0.old/completions/fprintd-enroll	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/fprintd-enroll	2024-11-30 21:20:52.363996370 +0100
@@ -15,7 +15,7 @@ _comp_cmd_fprintd_enroll()
             # Only -enroll may output a message with valid options in it
             _comp_compgen_split -- "$(
                 "${1/-verify/-enroll}" --finger no-such-finger 2>&1 |
-                    command sed \
+                    command gsed \
                         -e s/,//g -ne 's/^.*Name must be one of \(.*\)/\1/p'
             )"
             return
diff -pruN bash-completion-2.15.0.old/completions/function bash-completion-2.15.0/completions/function
--- bash-completion-2.15.0.old/completions/function	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/function	2024-11-30 21:20:52.225708107 +0100
@@ -8,7 +8,7 @@ _comp_cmd_function()
     if ((cword == 1)); then
         _comp_compgen -- -A function
     else
-        local funcdef=$(type -- "${words[1]}" 2>/dev/null | command sed -e 1,2d)
+        local funcdef=$(type -- "${words[1]}" 2>/dev/null | command gsed -e 1,2d)
         COMPREPLY=("()${funcdef:+ $funcdef}")
     fi
 } &&
diff -pruN bash-completion-2.15.0.old/completions/gcc bash-completion-2.15.0/completions/gcc
--- bash-completion-2.15.0.old/completions/gcc	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/gcc	2024-11-30 21:20:51.953413173 +0100
@@ -12,7 +12,7 @@ _comp_cmd_gcc()
             local cc=$("$1" -print-prog-name=cc1 2>/dev/null)
             [[ $cc ]] || return
             _comp_compgen_split -- "$("$cc" --help 2>/dev/null | tr '\t' ' ' |
-                command sed -e '/^  *-/!d' -e 's/ *-\([^][ <>]*\).*/-\1/')"
+                command gsed -e '/^  *-/!d' -e 's/ *-\([^][ <>]*\).*/-\1/')"
             [[ ${COMPREPLY-} == *= ]] && compopt -o nospace
         else
             _comp_compgen_filedir
@@ -62,7 +62,7 @@ _comp_cmd_gcc()
         local REPLY
         _comp_realcommand "$1"
         if [[ $REPLY == *$2* ]] ||
-            "$1" --version 2>/dev/null | command grep -q GCC; then
+            "$1" --version 2>/dev/null | command ggrep -q GCC; then
             complete -F _comp_cmd_gcc "$1"
         else
             complete -F _comp_complete_minimal "$1"
diff -pruN bash-completion-2.15.0.old/completions/gdb bash-completion-2.15.0/completions/gdb
--- bash-completion-2.15.0.old/completions/gdb	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/gdb	2024-11-30 21:20:52.235821995 +0100
@@ -31,7 +31,7 @@ _comp_cmd_gdb()
                 IFS=$' \t\n'
                 find ${path_array[@]+"${path_array[@]}"} . -name . -o \
                     -type d -prune -o -perm -u+x -print 2>/dev/null |
-                    command sed 's|^.*/||' | sort -u
+                    command gsed 's|^.*/||' | sort -u
             )"
         fi
     elif ((cword == 2)); then
diff -pruN bash-completion-2.15.0.old/completions/gnokii bash-completion-2.15.0/completions/gnokii
--- bash-completion-2.15.0.old/completions/gnokii	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/gnokii	2024-11-30 21:20:52.008811388 +0100
@@ -24,7 +24,7 @@ _comp_cmd_gnokii()
                 [[ -f $config_file ]] && break
             done
             [[ ! -f $config_file ]] && return
-            _comp_compgen_split -- "$(command sed -n \
+            _comp_compgen_split -- "$(command gsed -n \
                 's/^\[phone_\(.*\)\]/\1/p' "$config_file")"
             return
             ;;
@@ -221,7 +221,7 @@ _comp_cmd_gnokii()
     # these 2 below are allowed in combination with others
     local main_cmd
     _comp_split -l main_cmd "$(printf '%s\n' "${all_cmd[@]}" |
-        command sed -e '/--config/d;/--phone/d;s/[][\(){}|^$*+?.]/\\&/g')"
+        command gsed -e '/--config/d;/--phone/d;s/[][\(){}|^$*+?.]/\\&/g')"
     # don't provide main command completions if one is
     # already on the command line
     local IFS='|'
diff -pruN bash-completion-2.15.0.old/completions/gpg bash-completion-2.15.0/completions/gpg
--- bash-completion-2.15.0.old/completions/gpg	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/gpg	2024-11-30 21:20:52.153371070 +0100
@@ -20,7 +20,7 @@ _comp_cmd_gpg()
             --nrsign-key | --nrlsign-key | --try-secret-key | -${noargopts}k)
             # return list of public keys
             _comp_compgen_split -- "$("$1" --list-keys 2>/dev/null |
-                command sed -ne \
+                command gsed -ne \
                     's@^pub.*/\([^ ]*\).*$@\1@p' -ne \
                     's@^.*\(<\([^>]*\)>\).*$@\2@p')"
             return
@@ -29,14 +29,14 @@ _comp_cmd_gpg()
             --export-secret-subkeys | -${noargopts}K)
             # return list of secret keys
             _comp_compgen_split -- "$("$1" --list-secret-keys 2>/dev/null |
-                command sed -ne 's@^.*<\([^>]*\)>.*$@\1@p')"
+                command gsed -ne 's@^.*<\([^>]*\)>.*$@\1@p')"
             return
             ;;
         --recipient | -${noargopts}r)
             _comp_compgen_split -- "$("$1" --list-keys 2>/dev/null |
-                command sed -ne 's@^.*<\([^>]*\)>.*$@\1@p')"
+                command gsed -ne 's@^.*<\([^>]*\)>.*$@\1@p')"
             if [[ -e ~/.gnupg/gpg.conf ]]; then
-                _comp_compgen -a split -- "$(command sed -ne \
+                _comp_compgen -a split -- "$(command gsed -ne \
                     's@^[ \t]*group[ \t][ \t]*\([^=]*\).*$@\1@p' \
                     ~/.gnupg/gpg.conf)"
             fi
diff -pruN bash-completion-2.15.0.old/completions/gpg2 bash-completion-2.15.0/completions/gpg2
--- bash-completion-2.15.0.old/completions/gpg2	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/gpg2	2024-11-30 21:20:52.356084663 +0100
@@ -21,16 +21,16 @@ _comp_cmd_gpg2()
             --locate-keys | --refresh-keys)
             # return list of public keys
             _comp_compgen_split -- "$("$1" --list-keys 2>/dev/null |
-                command sed -ne \
+                command gsed -ne \
                     's@^pub.*/\([^ ]*\).*$@\1@p' -ne \
                     's@^.*\(<\([^>]*\)>\).*$@\2@p')"
             return
             ;;
         --recipient | -${noargopts}r)
             _comp_compgen_split -- "$("$1" --list-keys 2>/dev/null |
-                command sed -ne 's@^.*<\([^>]*\)>.*$@\1@p')"
+                command gsed -ne 's@^.*<\([^>]*\)>.*$@\1@p')"
             if [[ -e ~/.gnupg/gpg.conf ]]; then
-                _comp_compgen -a split -- "$(command sed -ne \
+                _comp_compgen -a split -- "$(command gsed -ne \
                     's@^[ \t]*group[ \t][ \t]*\([^=]*\).*$@\1@p' \
                     ~/.gnupg/gpg.conf)"
             fi
diff -pruN bash-completion-2.15.0.old/completions/gssdp-discover bash-completion-2.15.0/completions/gssdp-discover
--- bash-completion-2.15.0.old/completions/gssdp-discover	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/gssdp-discover	2024-11-30 21:20:52.316941529 +0100
@@ -16,7 +16,7 @@ _comp_cmd_gssdp_discover()
         --message-type | -m)
             [[ $1 == *gssdp-discover ]] || return
             local types=$("$1" --help 2>&1 |
-                command sed -ne 's/^.*--message-type=.*(\([^)]*\))$/\1/p')
+                command gsed -ne 's/^.*--message-type=.*(\([^)]*\))$/\1/p')
             _comp_compgen -F $' \t\n,' -- -W "$types"
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/iconv bash-completion-2.15.0/completions/iconv
--- bash-completion-2.15.0.old/completions/iconv	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/iconv	2024-11-30 21:20:52.001762423 +0100
@@ -15,7 +15,7 @@ _iconv_charsets()
 _comp_cmd_iconv__compgen_charsets()
 {
     _comp_compgen_split -X ... -- "$("$1" -l |
-        command sed -e 's@/*$@@' -e 's/[,()]//g')"
+        command gsed -e 's@/*$@@' -e 's/[,()]//g')"
 }
 
 _comp_cmd_iconv()
diff -pruN bash-completion-2.15.0.old/completions/ifstat bash-completion-2.15.0/completions/ifstat
--- bash-completion-2.15.0.old/completions/ifstat	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/ifstat	2024-11-30 21:20:51.905970164 +0100
@@ -22,8 +22,8 @@ _comp_cmd_ifstat()
             if ! {
                 "$1" --help 2>&1 || :
             } |
-                command grep -q -- '-d.*--scan'; then
-                _comp_compgen_split -- "$("$1" -v | command sed -e 's/[,.]//g' \
+                command ggrep -q -- '-d.*--scan'; then
+                _comp_compgen_split -- "$("$1" -v | command gsed -e 's/[,.]//g' \
                     -ne 's/^.*drivers://p')"
             fi
             return
@@ -34,7 +34,7 @@ _comp_cmd_ifstat()
             if ! {
                 "$1" --help 2>&1 || :
             } |
-                command grep -q -- '-s.*--noupdate'; then
+                command ggrep -q -- '-s.*--noupdate'; then
                 _comp_compgen_known_hosts -- "$cur"
                 return
             fi
@@ -45,7 +45,7 @@ _comp_cmd_ifstat()
             ! {
                 "$1" --help 2>&1 || :
             } |
-                command grep -q -- '-t.*--interval' || return
+                command ggrep -q -- '-t.*--interval' || return
             ;;
         --extended | -${noargopts}x)
             # iproute2: parse xstat types
diff -pruN bash-completion-2.15.0.old/completions/inotifywait bash-completion-2.15.0/completions/inotifywait
--- bash-completion-2.15.0.old/completions/inotifywait	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/inotifywait	2024-11-30 21:20:51.853290292 +0100
@@ -6,7 +6,7 @@ _comp_cmd_inotifywait__events()
     # tab. Word following the tab is event name, others are line
     # wrapped explanations.
     _comp_compgen -a split -- "$("$1" --help 2>/dev/null |
-        command sed -e '/^Events:/,/^[^'$'\t'']/!d' \
+        command gsed -e '/^Events:/,/^[^'$'\t'']/!d' \
             -ne 's/^'$'\t''\([^ '$'\t'']\{1,\}\)[ '$'\t''].*/\1/p')"
 }
 
diff -pruN bash-completion-2.15.0.old/completions/invoke-rc.d bash-completion-2.15.0/completions/invoke-rc.d
--- bash-completion-2.15.0.old/completions/invoke-rc.d	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/invoke-rc.d	2024-11-30 21:20:52.352742689 +0100
@@ -19,13 +19,13 @@ _comp_cmd_invoke_rc_d()
         # generate valid_options
         _comp_compgen_split -- "$(
             tr " " "\n" <<<"${words[*]} ${options[*]}" |
-                command sed -ne "/$(command sed 's/ /\\|/g' <<<"${options[*]}")/p" |
+                command gsed -ne "/$(command gsed 's/ /\\|/g' <<<"${options[*]}")/p" |
                 sort | uniq -u
         )"
         _comp_expand_glob services '"$sysvdir"/!(README*|*.sh|$_comp_backup_glob)' &&
             _comp_compgen -a -- -W '"${services[@]#"$sysvdir"/}"'
     elif [[ -x $sysvdir/$prev ]]; then
-        _comp_compgen_split -- "$(command sed -e 'y/|/ /' \
+        _comp_compgen_split -- "$(command gsed -e 'y/|/ /' \
             -ne 's/^.*Usage:[ ]*[^ ]*[ ]*{*\([^}"]*\).*$/\1/p' \
             "$sysvdir/$prev")"
     else
diff -pruN bash-completion-2.15.0.old/completions/ip bash-completion-2.15.0/completions/ip
--- bash-completion-2.15.0.old/completions/ip	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/ip	2024-11-30 21:20:52.439036257 +0100
@@ -12,7 +12,7 @@ _comp_cmd_ip__netns()
     _comp_split -l unquoted "$(
         {
             ${1-ip} -c=never netns list 2>/dev/null || ${1-ip} netns list
-        } | command sed -e 's/ (.*//'
+        } | command gsed -e 's/ (.*//'
     )"
     # namespace names can have spaces, so we quote all of them if needed
     local ns quoted=()
@@ -29,7 +29,7 @@ _comp_cmd_ip__link_types()
     _comp_compgen_split -- "$(
         {
             ${1-ip} -c=never link help || ${1-ip} link help
-        } 2>&1 | command sed -e \
+        } 2>&1 | command gsed -e \
             '/TYPE := /,/}/!d' -e \
             's/.*{//' -e \
             's/}.*//' -e \
@@ -42,7 +42,7 @@ _comp_cmd_ip__neigh_states()
     _comp_compgen_split -- "$(
         {
             ${1-ip} -c=never neigh help || ${1-ip} neigh help
-        } 2>&1 | command sed -e \
+        } 2>&1 | command gsed -e \
             '/STATE := /,/}/!d' -e \
             's/.*{//' -e \
             's/}.*//' -e \
@@ -93,7 +93,7 @@ _comp_cmd_ip()
                     ((cword == 1)) && printf '%s\n' -force
                     {
                         "$1" -c=never help || "$1" help
-                    } 2>&1 | command sed -e \
+                    } 2>&1 | command gsed -e \
                         's/[{|}=]/\n/g' -e \
                         's/\[\([^]]\{1,\}\)\]/\1/g'
                 )"
@@ -102,7 +102,7 @@ _comp_cmd_ip()
                 _comp_compgen_split -- "help $(
                     {
                         "$1" -c=never help || "$1" help
-                    } 2>&1 | command sed -e \
+                    } 2>&1 | command gsed -e \
                         '/OBJECT := /,/}/!d' -e \
                         's/.*{//' -e \
                         's/}.*//' -e \
@@ -304,7 +304,7 @@ _comp_cmd_ip()
                         _comp_compgen_split -- "$(
                             {
                                 "$1" -c=never r 2>/dev/null || "$1" r
-                            } | command sed -ne \
+                            } | command gsed -ne \
                                 's/.*via \([0-9.]*\).*/\1/p'
                         )"
                     elif [[ $prev == "$subcmd" ]]; then
@@ -375,7 +375,7 @@ _comp_cmd_ip()
                         _comp_compgen -- -W "$(
                             # stats command was added after color, should always have it
                             "$1" -c=never stats help 2>&1 |
-                                command sed -e \
+                                command gsed -e \
                                     '/^GROUP := /,/}/!d' -e \
                                     's/^GROUP := //g' -e \
                                     '/:=/d' -e \
@@ -464,7 +464,7 @@ _comp_cmd_ip()
                             _comp_compgen_split -- "$(
                                 {
                                     ip -c=never ntable show 2>/dev/null || ip ntable show
-                                } | command sed -ne 's/^inet6\{0,1\} //p'
+                                } | command gsed -ne 's/^inet6\{0,1\} //p'
                             )"
                             ;;
                         *)
@@ -533,7 +533,7 @@ _comp_cmd_ip()
                         _comp_compgen_split -- "help all $(
                             {
                                 "$1" -c=never monitor help || "$1" monitor help
-                            } 2>&1 | command sed -e \
+                            } 2>&1 | command gsed -e \
                                 '/OBJECTS := /,/[^|]$/!d' -e \
                                 's/OBJECTS := *//' -e \
                                 's/|//g'
diff -pruN bash-completion-2.15.0.old/completions/iperf bash-completion-2.15.0/completions/iperf
--- bash-completion-2.15.0.old/completions/iperf	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/iperf	2024-11-30 21:20:52.311319446 +0100
@@ -20,8 +20,8 @@ _comp_cmd_iperf()
         --format | -${noargopts}f)
             local formats=$(
                 "$1" --help 2>&1 |
-                    command sed -ne 's/^.*--format .*\[\([a-zA-Z]\{1,\}\)\].*/\1/p' |
-                    command sed -e 's/./& /g'
+                    command gsed -ne 's/^.*--format .*\[\([a-zA-Z]\{1,\}\)\].*/\1/p' |
+                    command gsed -e 's/./& /g'
             )
             _comp_compgen -- -W '$formats'
             return
@@ -77,10 +77,10 @@ _comp_cmd_iperf()
     for i in "${words[@]}"; do
         case $i in
             -s | --server)
-                filter=(command sed -e '/^Client.specific/,/^\(Server.specific.*\)\{0,1\}$/d')
+                filter=(command gsed -e '/^Client.specific/,/^\(Server.specific.*\)\{0,1\}$/d')
                 ;;
             -c | --client)
-                filter=(command sed -e '/^Server.specific/,/^\(Client.specific.*\)\{0,1\}$/d')
+                filter=(command gsed -e '/^Server.specific/,/^\(Client.specific.*\)\{0,1\}$/d')
                 ;;
         esac
     done
diff -pruN bash-completion-2.15.0.old/completions/ipmitool bash-completion-2.15.0/completions/ipmitool
--- bash-completion-2.15.0.old/completions/ipmitool	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/ipmitool	2024-11-30 21:20:51.911601844 +0100
@@ -3,7 +3,7 @@
 _comp_cmd_ipmitool__singleline_help()
 {
     _comp_compgen_split -- "$("$1" "$2" 2>&1 |
-        command sed -ne 's/[,\r]//g' -e 's/^.*[Cc]ommands://p')"
+        command gsed -ne 's/[,\r]//g' -e 's/^.*[Cc]ommands://p')"
 }
 
 _comp_cmd_ipmitool()
@@ -23,7 +23,7 @@ _comp_cmd_ipmitool()
             ;;
         -*I)
             _comp_compgen_split -- "$("$1" -h 2>&1 |
-                command sed -e '/^Interfaces:/,/^[[:space:]]*$/!d' \
+                command gsed -e '/^Interfaces:/,/^[[:space:]]*$/!d' \
                     -ne 's/^[[:space:]]\{1,\}\([^[:space:]]\{1,\}\).*/\1/p')"
             return
             ;;
diff -pruN bash-completion-2.15.0.old/completions/iptables bash-completion-2.15.0/completions/iptables
--- bash-completion-2.15.0.old/completions/iptables	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/iptables	2024-11-30 21:20:51.915594946 +0100
@@ -16,7 +16,7 @@ _comp_cmd_iptables()
         -*[AIDRPFXLZ])
             _comp_compgen_split -- "$(
                 "$1" ${table:+-t "$table"} -nL 2>/dev/null |
-                    command sed -ne 's/^Chain \([^ ]\{1,\}\).*$/\1/p'
+                    command gsed -ne 's/^Chain \([^ ]\{1,\}\).*$/\1/p'
             )"
             ;;
         -*t)
@@ -26,24 +26,24 @@ _comp_cmd_iptables()
             if [[ $table == "filter" || ! $table ]]; then
                 _comp_compgen -- -W '$targets'
                 _comp_compgen -a split -- "$("$1" ${table:+-t "$table"} -nL \
-                    2>/dev/null | command sed -ne "$chain" \
+                    2>/dev/null | command gsed -ne "$chain" \
                     -e 's/INPUT|OUTPUT|FORWARD|PREROUTING|POSTROUTING//')"
             elif [[ $table == "nat" ]]; then
                 _comp_compgen -- -W '$targets MIRROR SNAT DNAT MASQUERADE'
                 _comp_compgen -a split -- "$("$1" -t "$table" -nL 2>/dev/null |
-                    command sed -ne "$chain" \
+                    command gsed -ne "$chain" \
                         -e 's/OUTPUT|PREROUTING|POSTROUTING//')"
             elif [[ $table == "mangle" ]]; then
                 _comp_compgen -- -W '$targets MARK TOS'
                 _comp_compgen -a split -- "$("$1" -t "$table" -nL 2>/dev/null |
-                    command sed -ne "$chain" \
+                    command gsed -ne "$chain" \
                         -e 's/INPUT|OUTPUT|FORWARD|PREROUTING|POSTROUTING//')"
             fi
             ;;
         *)
             if [[ $cur == -* ]]; then
                 _comp_compgen_help - <<<"$("$1" --help 2>&1 |
-                    command sed -e "s/^\[\!\]//")"
+                    command gsed -e "s/^\[\!\]//")"
                 [[ ${COMPREPLY-} == *= ]] && compopt -o nospace
             fi
             ;;
diff -pruN bash-completion-2.15.0.old/completions/ipv6calc bash-completion-2.15.0/completions/ipv6calc
--- bash-completion-2.15.0.old/completions/ipv6calc	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/ipv6calc	2024-11-30 21:20:52.426028249 +0100
@@ -12,9 +12,9 @@ _comp_cmd_ipv6calc()
             return
             ;;
         --in | --out | --action | -${noargopts}[IOA])
-            # With ipv6calc < 0.73.0, -m does nothing here, so use sed instead.
+            # With ipv6calc < 0.73.0, -m does nothing here, so use gsed instead.
             _comp_compgen_split -- "$("$1" "$prev" -h 2>&1 |
-                command sed -ne 's/^[[:space:]]\{1,\}\([^[:space:]:]\{1,\}\)[[:space:]]*:.*/\1/p')"
+                command gsed -ne 's/^[[:space:]]\{1,\}\([^[:space:]:]\{1,\}\)[[:space:]]*:.*/\1/p')"
             return
             ;;
         --db-geoip | --db-ip2location-ipv4 | --db-ip2location-ipv6)
@@ -30,7 +30,7 @@ _comp_cmd_ipv6calc()
 
     if [[ $cur == -* ]]; then
         _comp_compgen_help - <<<"$("$1" -h 2>&1 |
-            command sed -e "s/[][]//g")"
+            command gsed -e "s/[][]//g")"
     fi
 
 } &&
diff -pruN bash-completion-2.15.0.old/completions/isql bash-completion-2.15.0/completions/isql
--- bash-completion-2.15.0.old/completions/isql	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/isql	2024-11-30 21:20:51.916956748 +0100
@@ -8,7 +8,7 @@ _comp_cmd_isql()
 
     [[ -f ${ODBCINI-} ]] &&
         _comp_compgen_split -l -- "$(
-            command sed -n 's/\]//g;s/^\[//gp' "$ODBCINI"
+            command gsed -n 's/\]//g;s/^\[//gp' "$ODBCINI"
         )"
 } &&
     complete -F _comp_cmd_isql isql
diff -pruN bash-completion-2.15.0.old/completions/java bash-completion-2.15.0/completions/java
--- bash-completion-2.15.0.old/completions/java	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/java	2024-11-30 21:20:52.191736366 +0100
@@ -70,7 +70,7 @@ _comp_cmd_java__classes()
         if [[ $i == *.@(jar|zip) && -r $i ]]; then
             if type zipinfo &>/dev/null; then
                 _comp_split -a classes "$(zipinfo -1 "$i" "$cur*" 2>/dev/null |
-                    command grep '^[^$]*\.class$')"
+                    command ggrep '^[^$]*\.class$')"
             elif type unzip &>/dev/null; then
                 # Last column, between entries consisting entirely of dashes
                 _comp_split -a classes "$(unzip -lq "$i" "$cur*" 2>/dev/null |
@@ -78,7 +78,7 @@ _comp_cmd_java__classes()
                          flag && $NF ~ /^[^$]*\.class/ { print $NF }')"
             elif type jar &>/dev/null; then
                 _comp_split -a classes "$(jar tf "$i" "$cur" |
-                    command grep '^[^$]*\.class$')"
+                    command ggrep '^[^$]*\.class$')"
             fi
 
         elif [[ -d $i ]]; then
@@ -121,13 +121,13 @@ _comp_cmd_java__packages()
             _comp_expand_glob files '"$i/$cur"*' || continue
             _comp_split -la COMPREPLY "$(
                 command ls -F -d "${files[@]}" 2>/dev/null |
-                    command sed -e 's|^'"$i"'/||'
+                    command gsed -e 's|^'"$i"'/||'
             )"
         fi
     done
     if ((${#COMPREPLY[@]} != 0)); then
         # keep only packages with the package suffix `/` being removed
-        _comp_split -l COMPREPLY "$(printf '%s\n' "${COMPREPLY[@]}" | command sed -n 's,/$,,p')"
+        _comp_split -l COMPREPLY "$(printf '%s\n' "${COMPREPLY[@]}" | command gsed -n 's,/$,,p')"
         # convert path syntax to package syntax
         ((${#COMPREPLY[@]})) && COMPREPLY=("${COMPREPLY[@]//\//.}")
     fi
@@ -318,7 +318,7 @@ _comp_cmd_javac()
         # For some reason there may be -g:none AND -g:{lines,source,vars};
         # convert the none case to the curly brace format so it parses like
         # the others.
-        local opts=$("$1" $helpopt 2>&1 | command sed -e 's/-g:none/-g:{none}/' -ne \
+        local opts=$("$1" $helpopt 2>&1 | command gsed -e 's/-g:none/-g:{none}/' -ne \
             "s/^[[:space:]]*${cur%%:*}:{\([^}]\{1,\}\)}.*/\1/p")
         _comp_compgen -c "${cur#*:}" -- -W "${opts//,/ }"
         return
diff -pruN bash-completion-2.15.0.old/completions/lilo bash-completion-2.15.0/completions/lilo
--- bash-completion-2.15.0.old/completions/lilo	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/lilo	2024-11-30 21:20:52.071403690 +0100
@@ -3,7 +3,7 @@
 _comp_cmd_lilo__labels()
 {
     _comp_compgen_split -- "$(_comp_awk -F = '$1 ~ /^[ \t]*label$/ {print $2}' \
-        "${1:-/etc/lilo.conf}" 2>/dev/null | command sed -e 's/\"//g')"
+        "${1:-/etc/lilo.conf}" 2>/dev/null | command gsed -e 's/\"//g')"
 }
 
 _comp_cmd_lilo()
diff -pruN bash-completion-2.15.0.old/completions/links bash-completion-2.15.0/completions/links
--- bash-completion-2.15.0.old/completions/links	2024-11-24 23:21:02.000000000 +0100
+++ bash-completion-2.15.0/completions/links	2024-11-30 21:20:51.985405389 +0100
@@ -28,7 +28,7 @@ _comp_cmd_links()
             ;;
         -driver)
             local drivers=$("$1" -driver foo 2>&1 |
-                command sed -ne '$!d' -e '/^[a-z0-9, ]\{1,\}$/s/,/ /gp')
+                command gsed -ne '$!d' -e '/^[a-z0-9, ]\{1,\}$/s/,/ /gp')
             [[ $drivers ]] || drivers='x svgalib fb directfb pmshell atheos'
             _comp_compgen -- -W "$drivers"
             return
